:root {
  --blue: #003da5;
  --default-text: #374151;
}

.bg-blue {
  background-color: #003da5;
}

.bg-white {
  background-color: #ffffff;
}

.shadow {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
}

/* Positioning */

.static {
  position: static;
}

.relative {
  position: relative;
}

.absolute {
  position: absolute;
}

.bottom-0 {
  bottom: 0px;
}

.left-0 {
  left: 0px;
}

.right-0 {
  right: 0px;
}

.border-e {
  border-inline-end: 1px;
  border-right-style: solid;
  border-color: #00a3e0;
}

/* text */

.text-gray-100 {
  color: rgb(243, 244, 246);
}

.text-gray-400 {
  color: #9ca3af;
}

.text-gray-500 {
  color: #6b7280;
}

.text-blue {
  color: #003da5;
}

.font-normal {
  font-weight: 400;
}

.font-medium {
  font-weight: 500;
}

.font-semibold {
  font-weight: 600;
}

.text-sm {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.text-base {
  font-size: 1rem;
  line-height: 1.5rem;
}

.text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-2xl {
  font-size: 1.5rem;
  line-height: 2rem;
}

.text-center {
  text-align: center;
}

/* sizing */

.radius {
  border-radius: 0.5rem;
}

.w-full {
  width: 100%;
}

.h-full {
  height: 100%;
}

.h-fit {
  height: fit-content;
}

.min-h-vh {
  min-height: 100vh;
}

.overflow-scroll {
  overflow: scroll;
}

.m-6 {
  margin: 1.5rem;
}

.ms-3 {
  margin-left: 0.75rem;
}

.me-0 {
  margin-inline-end: 0px;
}

.me-1 {
  margin-inline-end: 0.25rem;
}

.me-4 {
  margin-inline-end: 1rem;
}

.me-5 {
  margin-inline-end: 1.25rem;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.my-4 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.mt-auto {
  margin-top: auto;
}

.mt-0 {
  margin-top: 0px;
}

.mt-4 {
  margin-top: 1rem;
}

.last-mr-0:last-child {
  margin-right: 0px;
}

.p-0 {
  padding: 0px;
}

.p-6 {
  padding: 1.5rem;
}

.ps-0 {
  padding-inline-start: 0px;
}

.pe-6 {
  padding-inline-end: 1.5rem;
}

.pe-2 {
  padding-inline-end: 0.5rem;
}

/* display */

.hidden {
  display: none;
}

.flex {
  display: flex;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-row {
  flex-direction: row;
}

.flex-col {
  flex-direction: column;
}

.flex-grow {
  flex-grow: 1;
}

.justify-between {
  justify-content: space-between;
}

.justify-center {
  justify-content: center;
}

.gap-2 {
  gap: 0.5rem;
}

.gap-5 {
  gap: 1.25rem;
}

.items-center {
  align-items: center;
}

.content-center {
  align-content: center;
}

.object-contain {
  object-fit: contain;
}

.style-none {
  list-style: none;
}

.hover-underline:hover {
  text-decoration: underline;
}

.decoration-none {
  text-decoration: none;
}

/* element stylings */

nav {
  width: 100%;
  background-color: var(--blue);
}

nav > div {
  padding: 10px 16px;
}

body {
  font-family: 'Montserrat', sans-serif;
  margin: 0%;
}

main {
  max-width: 1200px;
}

#toolbox-svg {
  width: 115px;
  height: 106px;
}

/* md equivalent */
@media (min-width: 768px) {
  .md-flex {
    display: flex;
  }

  .md-hidden {
    display: none;
  }

  .md-absolute {
    position: absolute;
  }

  .md-mr-6 {
    margin-right: 1.5rem;
  }

  .md-pe-6 {
    padding-inline-end: 1.5rem;
  }

  .md-justify-between {
    justify-content: space-between;
  }

  .md-items-center {
    align-items: center;
  }

  .md-text-xl {
    font-size: 1.25rem;
    line-height: 1.75rem;
  }

  .md-text-2xl {
    font-size: 1.5rem;
    line-height: 2rem;
  }

  .md-text-3xl {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
}

/* sm equivalent */
@media (min-width: 640px) {
  #toolbox-svg {
    width: 230px;
    height: 212px;
  }

  .sm-absolute {
    position: absolute;
  }

  .sm-flex {
    display: flex;
  }

  .sm-hidden {
    display: none;
  }

  .sm-flex-row {
    flex-direction: row;
  }

  .sm-justify-between {
    justify-content: space-between;
  }

  .sm-text-center {
    text-align: center;
  }

  .sm-mx-0 {
    margin-left: 0;
    margin-right: 0;
  }

  .sm-m-20 {
    margin: 5rem;
  }

  .sm-mt-4 {
    margin-top: 1rem;
  }

  .sm-mt-20 {
    margin-top: 5rem;
  }
}

/* custom media width to prevent awkward wrapping */
@media (min-width: 335px) {
  .xs-mt-20 {
    margin-top: 5rem;
  }

  .xs-me-6 {
    margin-inline-end: 1.5rem;
  }

  .xs-pe-6 {
    padding-inline-end: 1.5rem;
  }

  .xs-gap-5 {
    gap: 1.25rem;
  }
}

@media (prefers-color-scheme: dark) {
  html {
    background-color: #171f24;
    color: #e5e7eb;
  }

  nav {
    background-color: #0a3071;
  }

  svg path {
    fill: #849bc4;
  }

  #box-fill {
    fill: #171f24;
  }

  .dark-bg-dark-background {
    background-color: #171f24;
  }

  .dark-text-gray-400 {
    color: #9ca3af;
  }

  .dark-text-dark-blue {
    color: #849bc4;
  }
}
